/* vi: set tabstop=4 nocindent noautoindent: */

#ifndef  __JBXL_MATH_LIBRARY_H_
#define  __JBXL_MATH_LIBRARY_H_


/**
数学関数ヘッダ     mt.h

  依存関係 
      #include "common.h"

*/ 





#include "common.h"
#include <math.h>


/**/
float    comb(int n, int i);
float    perm(int n, int i);
float    fact(int n); 
double   power(float x, float y);

/**/



typedef   double (*PTR_DFFUNC)(double);

int    newton_method(PTR_DFFUNC fn, PTR_DFFUNC df, double* t, double e);







#endif
